

blockmtd doesn't need to initialise address_space.truncate_count:
open_bdev_excl did that.

Plus I have a patch queued up which removes ->truncate_count.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mtd/devices/block2mtd.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/mtd/devices/block2mtd.c~block2mtd-avoid-touching-truncate_count drivers/mtd/devices/block2mtd.c
--- 25/drivers/mtd/devices/block2mtd.c~block2mtd-avoid-touching-truncate_count	2005-01-05 20:19:22.112872000 -0800
+++ 25-akpm/drivers/mtd/devices/block2mtd.c	2005-01-05 20:19:27.908990856 -0800
@@ -324,7 +324,6 @@ static struct blockmtd_dev *add_device(c
 		goto devinit_err;
 	}
 
-	atomic_set(&bdev->bd_inode->i_mapping->truncate_count, 0);
 	init_MUTEX(&dev->write_mutex);
 
 	/* Setup the MTD structure */
_
